SET IGNORECASE TRUE

CREATE TEXT TABLE categories (
	cid INTEGER NOT NULL IDENTITY,
	pid INTEGER DEFAULT 0 NOT NULL,
	name VARCHAR(200) NOT NULL,
	icon VARCHAR(200)
)

SET TABLE categories SOURCE "categories.csv;ignore_first=true;all_quoted=true;encoding=UTF8;fs=|"


CREATE TEXT TABLE books (
		isbn VARCHAR(20) NOT NULL,
		author VARCHAR(100) NOT NULL,
		title VARCHAR(200) NOT NULL,
		year INTEGER NOT NULL,
		publisher VARCHAR(200),
		volume VARCHAR(200),
		number INTEGER,
		series VARCHAR(200),
		edition VARCHAR(200),
		note VARCHAR(200),
		abstract VARCHAR,
		keywords VARCHAR,
		language VARCHAR(20),
		issn VARCHAR(50),
		lccn VARCHAR(50),
		price DOUBLE,
		size INTEGER,
		url VARCHAR(500),
	CONSTRAINT books_constraint
		PRIMARY KEY(isbn, author, title, abstract, keywords)
)

SET TABLE books SOURCE "books.csv;ignore_first=true;all_quoted=true;encoding=UTF8;fs=|"


CREATE TEXT TABLE mappings (
		cid INTEGER,
		isbn VARCHAR(20)/*,
	CONSTRAINT mapping_constraints
		FOREIGN KEY (isbn) REFERENCES books (isbn)*/
)

SET TABLE mappings SOURCE "mappings.csv;ignore_first=true;all_quoted=true;encoding=UTF8;fs=|"

INSERT INTO categories (cid, name) VALUES (1, 'Programming')
INSERT INTO categories (cid, name) VALUES (2, 'Operating Systems')

INSERT INTO categories (pid, name) VALUES (1, 'Java')
INSERT INTO categories (pid, name) VALUES (1, '.NET')
INSERT INTO categories (pid, name) VALUES (1, 'C/C++')
INSERT INTO categories (pid, name) VALUES (1, 'Unix')
INSERT INTO categories (pid, name) VALUES (1, 'Windows')
INSERT INTO categories (pid, name) VALUES (1, 'Web')

INSERT INTO categories (pid, name) VALUES (2, 'Unix')
INSERT INTO categories (pid, name) VALUES (2, 'Windows')
INSERT INTO categories (pid, name) VALUES (2, 'Linux')


